/*
  splay player plugin
  Copyright (C) 1999  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Library General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#ifndef __SPLAYPLUGIN_H
#define __SPLAYPLUGIN_H

#include "../decoder/decoderPlugin.h"


class MpegAudioStream;
class MpegAudioHeader;

class SplayPlugin : public DecoderPlugin {
  
  int downSampleFlag;
  int monoFlag;
  int lnoLength;
  int lfirst;
  /*
   * directly writes decoded data as float, instead of converting it to
   * short int samples first
   */
  bool doFloat;

  MpegAudioStream* mpegAudioStream;
  MpegAudioHeader* currentHeader;

 public:
  SplayPlugin();
  ~SplayPlugin();

  void decoder_loop();
  int seek_impl(int second);
  void config(const char* key,const char* value,void* user_data);
 
 protected: 
  int getTotalLength();


};
#endif
